cmake_minimum_required(VERSION 3.28)

set(CMAKE_CXX_STANDARD 20)

set(PROJECT_EXECUTABLE_NAME sand_box)

project(SandBox
    VERSION 0.1.0
)

find_package(imgui REQUIRED CONFIG)
find_package(spdlog REQUIRED CONFIG)

file(GLOB_RECURSE SRC_FILES "src/*.cpp")
add_executable(${PROJECT_EXECUTABLE_NAME}
    ${SRC_FILES}
)

target_include_directories(${PROJECT_EXECUTABLE_NAME} PRIVATE
    "${PROJECT_SOURCE_DIR}/include"
)

target_link_libraries(${PROJECT_EXECUTABLE_NAME} PRIVATE
    spdlog::spdlog
    imgui::imgui
    open_engine
)

target_link_directories(${PROJECT_EXECUTABLE_NAME} PRIVATE
    ${PROJECT_SOURCE_DIR}/lib
)
